ack_remote_enrollment
POST
/api/v1/public/remote-enrollment/ack
const url = 'https://example.com/api/v1/public/remote-enrollment/ack';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"ack_token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}use serde_json::json;use reqwest;
#[tokio::main]pub async fn main() { let url = "https://example.com/api/v1/public/remote-enrollment/ack";
let payload = json!({"ack_token": "example"});
let mut headers = reqwest::header::HeaderMap::new(); headers.insert("Content-Type", "application/json".parse().unwrap());
let client = reqwest::Client::new(); let response = client.post(url) .headers(headers) .json(&payload) .send() .await;
let results = response.unwrap() .json::<serde_json::Value>() .await .unwrap();
dbg!(results);}curl --request POST \ --url https://example.com/api/v1/public/remote-enrollment/ack \ --header 'Content-Type: application/json' \ --data '{ "ack_token": "example" }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
ack_token
required
string
Examplegenerated
{ "ack_token": "example"}Responses
Section titled “Responses”Acknowledge a redeemed remote enrollment session